Package org.apache.struts2.convention

# Interface ConventionsService

All Known Implementing Classes:
  `ConventionsServiceImpl`

public interface ConventionsService

This interface defines the conventions that are used by the convention plugin. In most cases the methods on this class will provide the best default for any values and also handle locating overrides of the default via the annotations that are part of the plugin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `determineResultPath(Class<?> actionClass)`
  Locates the result location from annotations on the action class or the package or returns the default if no annotations are present.
  `String`
  `determineResultPath(ActionConfig actionConfig)`
  Delegates to the other method but first looks up the Action's class using the given class name.
  `Map<String,ResultTypeConfig>`
  `getResultTypesByExtension(PackageConfig packageConfig)`
  Returns a mapping between the result type strings and the `ResultTypeConfig` instances based on the `PackageConfig` given.

- ## Method Details

  - ### determineResultPath

    String determineResultPath(Class<?> actionClass)
    Locates the result location from annotations on the action class or the package or returns the default if no annotations are present.
    Parameters:
      `actionClass` - The action class.
    Returns:
      The result location if it is set in the annotations. Otherwise, the default result location is returned.

  - ### determineResultPath

    String determineResultPath(ActionConfig actionConfig)
    Delegates to the other method but first looks up the Action's class using the given class name.
    Parameters:
      `actionConfig` - (Optional) The configuration for the action that the result is being built for or null if the default result path is needed.
    Returns:
      The result location if it is set in the annotations for the class of the ActionConfig. Otherwise, the default result location is returned. If null is passed in, the default is returned,

  - ### getResultTypesByExtension

    Map<String,ResultTypeConfig> getResultTypesByExtension(PackageConfig packageConfig)
    Returns a mapping between the result type strings and the `ResultTypeConfig` instances based on the `PackageConfig` given.
    Parameters:
      `packageConfig` - The PackageConfig to get the result types for.
    Returns:
      The result types or an empty Map of nothing is configured.